PUT /certjwtstore/{uuid}
/certjwtstore/{uuid}/{uuid}
UUID of the object to fetch
object name
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
CertJwtStore object creation
Show optional properties
{
"jwt": "string",
"key": "string",
"kid": "string",
"last_rotated_at": {
"secs": 0,
"usecs": 0
},
"public_key_algorithm": "string"
}
{
"_last_modified": "string",
"jwt": "string",
"key": "string",
"key_passphrase": "string",
"kid": "string",
"last_rotated_at": {
"secs": 0,
"usecs": 0
},
"public_key_algorithm": "string",
"type": "string",
"url": "string",
"uuid": "string"
}
OK
{
"_last_modified": "string",
"jwt": "string",
"key": "string",
"key_passphrase": "string",
"kid": "string",
"last_rotated_at": {
"secs": 0,
"usecs": 0
},
"public_key_algorithm": "string",
"type": "string",
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
JWT containing current portal certificate along with the full certificate bundle chain, signed by the private key of previous portal certificate. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Private key. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Private key passphrase. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
SHA256 thumbprint of the previous old portal certificate. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
last_rotated_at
Public key algorithm. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Type of SSL certificate. Enum options - SSL_CERTIFICATE_TYPE_VIRTUALSERVICE, SSL_CERTIFICATE_TYPE_SYSTEM, SSL_CERTIFICATE_TYPE_CA, SSL_CERTIFICATE_TYPE_CLIENT, SSL_CERTIFICATE_TYPE_SECURE_CHANNEL. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
url
UUID of JWT. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
log in failed
object not found
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"jwt":"string","key":"string","kid":"string","last_rotated_at":"object","public_key_algorithm":"string"}' https://{api_host}/api/certjwtstore/{uuid}